<?xml version='1.0' encoding='UTF-8'?>
<faces-config version="2.1"
              xmlns="http://java.sun.com/xml/ns/javaee"
              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_2_1.xsd">
    <navigation-rule>
        <navigation-case>
            <from-outcome>kontor</from-outcome>
            <to-view-id>/index.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>comics</from-outcome>
            <to-view-id>/comics.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>library</from-outcome>
            <to-view-id>/library.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>medien</from-outcome>
            <to-view-id>/medien.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>tradingcards</from-outcome>
            <to-view-id>/tradingcards.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>sport</from-outcome>
            <to-view-id>/sport.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>sportAdd</from-outcome>
            <to-view-id>/sport/sportAdd.xhtml</to-view-id>
        </navigation-case>
    </navigation-rule>
    <navigation-rule>
        <from-view-id>/sport/sportAdd.xhtml</from-view-id>
        <navigation-case>
            <from-outcome>addSport</from-outcome>
            <to-view-id>/sport/sportDetails.xhtml</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>saveSport</from-outcome>
            <to-view-id>/sport/sportDetails.xhtml</to-view-id>
        </navigation-case>
    </navigation-rule>
    <managed-bean>
        <managed-bean-name>now</managed-bean-name>
        <managed-bean-class>java.util.Date</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>comicView</managed-bean-name>
        <managed-bean-class>com.peetz.comics.view.ComicView</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>libraryView</managed-bean-name>
        <managed-bean-class>com.peetz.library.view.LibraryView</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>medienView</managed-bean-name>
        <managed-bean-class>com.peetz.medien.view.MedienView</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>tradingCardsView</managed-bean-name>
        <managed-bean-class>com.peetz.tradingcards.view.TradingCardsView</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>sportView</managed-bean-name>
        <managed-bean-class>com.peetz.tradingcards.view.SportView</managed-bean-class>
        <managed-bean-scope>request</managed-bean-scope>
    </managed-bean>
</faces-config>
